%define name 		koules
%define version		1.4
%define release		4mdk

Summary:	Space action game for X11
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group: 		Games/Arcade
URL:		http://www.paru.cas.cz/~hubicka/koules/English/koules.html
License:	GPL
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
Patch0:		koules-debian.patch.bz2 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}buildroot
BuildRequires:  XFree86-devel

%description
Koules is a fast action arcade-style game. This version is compiled for X11.
It has cool 256 color graphics, a multiplayer mode for up to 5 players, full
sound and, of course, network support. Koules is an original idea. The first
version of Koules was developed from scratch by Jan Hubicka in July 1995.

%prep

%setup -q -n %{name}%{version}
%patch0 -p1 
sed -i 's/mkdirhier/mkdir -p/g' Imakefile

%build
xmkmf
make Makefile
make Makefiles
if [ ! -s xkoules.man ]; then ln -sf xkoules.6 xkoules.man; fi
%make KOULESDIR=%{_gamesbindir} SOUNDDIR=%{_libdir}/%{_gamesdir}/%{name} MANDIR=%{_mandir}/man6

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall KOULESDIR=%{buildroot}%{_gamesbindir} SOUNDDIR=%{buildroot}%{_libdir}/%{_gamesdir}/%{name} MANDIR=%{buildroot}/%{_mandir}/man6 

install startkoules %{buildroot}%{_gamesbindir}/
install koules.tcl %{buildroot}%{_libdir}/%{_gamesdir}/%{name}

mkdir -p %{buildroot}/%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(koules): \
   needs=X11 \
   section="Amusement/Arcade" \
   title="XKoules" \
   icon="%{name}.png" \
   longtitle="Space action game for X11" \
   description="XKoules is a somewhat abstract space action game for X11 with sound. \
                Supports multiplayer deathmatch and cooperative play." \
   command="%{_gamesbindir}/xkoules"
EOF

# mdk icon
install -m644 %{SOURCE1} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE2} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -fr %{buildroot};

%files
%defattr(-,root,root)
%doc ChangeLog ANNOUNCE BUGS Card Koules.FAQ Problems README TODO
%{_menudir}/*
%{_gamesbindir}/*
%{_mandir}/*/*
%{_iconsdir}/*
%{_libdir}/%{_gamesdir}/%{name}

%changelog
* Wed Dec 24 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.4-4mdk
- s/gamedir/gamesdir/

* Mon Dec 22 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.4-3mdk
- Fix Makefile to remove build dependency upon XFree86

* Mon Dec 22 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.4-2mdk 
- add BuildRequires XFree86 for mkdirhier

* Mon Dec 22 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.4-1mdk
- New rpm based on debian package
- 
